name: trans_lark
description: "A new Flutter project."
publish_to: 'none'

version: 1.0.0+1

environment:
  sdk: '>=3.3.1 <4.0.0'

dependencies:
  flutter:
    sdk: flutter

  cupertino_icons: ^1.0.6
  get: ^4.6.6
  flutter_tts: ^4.0.2
  flutter_svg: ^2.0.10+1
#  country_picker: ^2.0.26
#  country_flags: ^3.0.0
  translator: ^1.0.0

#  sqflite: ^2.3.3+1
#  uuid: ^4.4.0
  intl: ^0.19.0
  #  camera: ^0.11.0+1
  #  video_player: ^2.9.0
  image_picker: ^1.1.2
  flutter_text_detect_area: ^0.0.1+5
  flutter_easyloading: ^3.0.5

  # 纯 Dart 编写的轻量级且速度极快的键值数据库
  hive: ^2.2.3
  hive_flutter: ^1.1.0

  # 包含dart:collection样式的实用程序函数和类，使使用集合更容易。
  collection: ^1.18.0

  # 对键盘可见性变化做出反应
  flutter_keyboard_visibility: ^6.0.0

  custom_pop_up_menu: ^1.2.4

  speech_to_text: ^6.6.2

  # 获取设备当前语言
  devicelocale: ^0.7.1

  # 权限处理
  permission_handler: ^11.3.1
  
  # att
  app_tracking_transparency: ^2.0.5

  # webview
  webview_flutter: ^4.8.0

  wave: ^0.2.2

  # 查询应用程序包信息
  package_info_plus: ^8.0.0

  # 获取当前设备信息
  device_info_plus: ^10.1.0

  # 日志打印
  logger: ^2.3.0

flutter_launcher_icons:
  android: "launcher_icon"
  ios: true
  image_path: "assets/launcher_icon/launcher_icon.png"
  min_sdk_android: 23 # android min sdk min:16, default 21

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^3.0.0
  hive_generator: ^2.0.1
  build_runner: ^2.4.11
  flutter_launcher_icons: ^0.13.1

flutter:

  uses-material-design: true
  assets:
    - assets/launcher_icon/
    - assets/images/
    - assets/svg/
    - assets/json/
